%define localstatedir   /var/lib

Name:		gnome-user-docs
Summary: 	General GNOME User Documentation
Version: 	1.4.1
Release: 	1
License: 	FDL
Source: 	%{name}-%{version}.tar.gz
URL:		http://developer.gnome.org/projects/gdp/
Group: 		Documentation
BuildArch: 	noarch
BuildRoot: 	%{_tmpdir}/%{name}-%{version}-root
BuildRequires:  scrollkeeper
Obsoletes:	gnome-users-guide

%description
This package contains general GNOME user documentation which is not 
directly associated with any particular GNOME application or package.

%prep
%setup
%build
./configure --prefix %{_prefix}	--datadir=%{_datadir} \
    --mandir=%{_mandir} --sysconfdir=%{_sysconfdir} \
    --localstatedir=%{localstatedir}
make 

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    localstatedir=$RPM_BUILD_ROOT%{localstatedir} install


%clean 
rm -rf $RPM_BUILD_ROOT

%post
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%files
%defattr(-, root, root)
%doc COPYING COPYING-DOCS AUTHORS README ChangeLog NEWS INSTALL
%{_datadir}/gnome/help/*
%{_datadir}/omf/%{name}

%changelog
* Thu Aug 16 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- replaced Copyright with License
- fixed BuildRoot

* Tue Mar 20 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- use RPM defined macros, remove hard-coded paths, add build
  requirement for scrollkeeper
 
* Sun Mar 11 2001 Dan Mueth <dan@eazel.com>
- Update as we move to its own module

* Mon Nov 27 2000 Kenny Graunke <kwg@teleport.com>
- Initial cut
